Package be.ehealth.businessconnector.wsconsent.builders

# Interface ConsentBuilder

All Known Implementing Classes:
  `ConsentBuilderImpl`

public interface ConsentBuilder
CommonBuilder Interface. Default impl : `ConsentBuilderImpl` Factory : `RequestObjectBuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsentType`
  `createNewConsent(PatientIdType patient, List<CDCONSENT> consent, Instant signdate, AuthorWithPatientAndPersonType author)`
  Method which create a consent type to create a new consent.
  `SelectGetPatientConsentType`
  `createSelectGetPatientConsent(PatientIdType patient, List<CDCONSENT> consentType)`
  Method which create SelectGetPatientConsentType based on patient and consentType.

- ## Method Details

  - ### createSelectGetPatientConsent

    SelectGetPatientConsentType createSelectGetPatientConsent(PatientIdType patient, List<CDCONSENT> consentType) throws TechnicalConnectorException, WsConsentBusinessConnectorException, InstantiationException
    Method which create SelectGetPatientConsentType based on patient and consentType.
    Parameters:
      `patient` - for which the consent had to be done
      `consentType` - the list of CDCONSENT
    Returns:
      SelectGetPatientConsentType
    Throws:
      `TechnicalConnectorException`
      `WsConsentBusinessConnectorException`
      `InstantiationException`

  - ### createNewConsent

    ConsentType createNewConsent(PatientIdType patient, List<CDCONSENT> consent, Instant signdate, AuthorWithPatientAndPersonType author) throws TechnicalConnectorException, WsConsentBusinessConnectorException, InstantiationException
    Method which create a consent type to create a new consent.
    Parameters:
      `patient` - for which the consent had to be done
      `consent` - the list of CDCONSENT
      `signdate` - the date when the consent is signed
      `author` - Identification of the author (‘end-user’ ) performing the request.
    Returns:
      ConsentType
    Throws:
      `TechnicalConnectorException`
      `WsConsentBusinessConnectorException`
      `InstantiationException`